# Security Keys (U2F)

**Authelia** offers authentication using Security Keys like [Yubikey](Yubikey)
which are one of the most secure way to authenticate and get authorized.
It is already available for Google, Facebook, Github accounts and more.

The protocol requires your security key to enrolled before authenticating.

To do so, select the *Security Key* method at the second factor stage and
click on the link *Not registered yet?*. This will send a link to your 
user email address. This e-mail will likely be sent to
https://mail.example.com:8080/ if you're testing Authelia and you've not
configured anything.

Confirm your identity by clicking on **Register** and you'll be asked to
touch the token of your security key to enroll.

<p align="center">
  <img src="../../docs/images/REGISTER-U2F.png" width="400">
</p>

Upon successful registration, you can authenticate using your security key
by simply touching the token again when required:

<p align="center">
  <img src="../../docs/images/2FA-U2F.png" width="400">
</p>

Easy, right?!

## FAQ

### Why don't I have access to the *Security Key* option?

U2F protocol is a new protocol that is only supported by recent browsers
and might even be enabled on some of them. Please be sure your browser
supports U2F and that the feature is enabled to make the option
available in **Authelia**.

[Yubikey]: https://www.yubico.com/products/yubikey-hardware/yubikey4/
